<h1>Show Game</h1>

<%= if @live_action in [:edit] do %>
  <.modal return_to={Routes.game_show_path(@socket, :show, @game)}>
    <.live_component
      module={RatingAppWeb.GameLive.FormComponent}
      id={@game.id}
      title={@page_title}
      action={@live_action}
      game={@game}
      return_to={Routes.game_show_path(@socket, :show, @game)}
    />
  </.modal>
<% end %>

<ul>

  <li>
    <strong>Game name:</strong>
    <%= @game.game_name %>
  </li>

</ul>

<span><%= live_patch "Edit", to: Routes.game_show_path(@socket, :edit, @game), class: "button" %></span> |
<span><%= live_redirect "Back", to: Routes.game_index_path(@socket, :index) %></span>
